#ifndef __SERIALCONSOLE_H_
#define __SERIALCONSOLE_H_

// Provides a soft-serial output for standard C functions on any I/O pin.
// stdout is connected to the soft-serial output.

// Required setting, usually in the Makefile:
// #define F_CPU 1200000

// Serial bitrate
#define SOFTSERIAL_BITRATE 2400

// Macros to control the TxD Pin
#define SOFTSERIAL_TXD_INIT   { DDRB  |=  (1<<PB3); }
#define SOFTSERIAL_TXD_HIGH   { PORTB |=  (1<<PB3); }
#define SOFTSERIAL_TXD_LOW    { PORTB &= ~(1<<PB3); }

// Initialize the serial port and bind it to stdin and stdout.
void initSerialConsole(void);

#endif //__SERIALCONSOLE_H_
